@import url("https:fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap");

$themes: (
  light: (
    textColor: #000,
    bg: white,
    logo: darkblue,
    bgSoft: #f6f3f3,
    textColorSoft: #555,
    border: lightgray,
  ),
  dark: (
    textColor: whitesmoke,
    bg: #222,
    logo: white,
    bgSoft: #333,
    textColorSoft: lightgray,
    border: #444,
  ),
);

@mixin themify($themes) {
  @each $theme, $map in $themes {
    .theme-#{$theme} & {
      $theme-map: () !global;
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), "#{$key}");
        $theme-map: map-merge(
          $theme-map,
          (
            $key: $value,
          )
        ) !global;
      }
      @content;
      $theme-map: null !global;
    }
  }
}

@function themed($key) {
  @return map-get($theme-map, $key);
}

@mixin mobile {
  @media (max-width: 480px) {
    @content;
  }
}
@mixin tablet {
  @media (max-width: 960px) {
    @content;
  }
}
// .mainContent {
//   width: 100%;
//   height: 100%;
//   padding: 2rem;
//   // overflow: hidden;
//   overflow: auto;
//   .bottom {
//     // margin-top: 2rem;
//     // gap: 2rem;
//     // align-items: flex-start;
//   }
// }

* {
  padding: 0;
  box-sizing: border-box;
  margin: 0;
  font-family: "Montserrat", sans-serif;
  transition: 0.3 ease;
}

/* color and style (default) */

:root {
  --PrimaryColor: hsl(94, 59%, 35%);
  --HoverColor: #bdf094;
  --paleGreen: hsl(96, 75%, 89%);
  --whiteColor: hsl(0, 0%, 100%);
  --blackColor: hsl(0, 3%, 6%);
  --textColor: hsl(240, 1%, 48%);
  --bgColor: hsl(220, 10%, 94%);
  --greyText: rgb(190, 190, 190);
  --inputColor: hsl(330, 12%, 97%);

  --biggestFontSize: 2.5rem;
  --h1FontSize: 1.5rem;
  --h2fontSize: 1.25rem;
  --h3FontSize: 1rem;
  --normalFontSize: 0.938rem;
  --smallFontSize: 0.813rem;
  --smallestFontSize: 0.75rem;
}

:default style html {
  font-size: 90%;
}

a {
  text-decoration: none;
}
li {
  list-style: none;
}

.icon {
  font-size: var(--h2fontSize);
  cursor: pointer;
}
img {
  width: 100%;
  height: auto;
}
.flex {
  display: flex;
  align-items: center;
}

.gird {
  display: grid;
  align-items: center;
  gap: 1.5rem;
}

span {
}

.btn {
  border: none;
  outline: none;
  cursor: pointer;
  box-shadow: 0 2px 4px var(--inputColor);
  padding: 0.8rem 1rem;
  font-size: var(--h3FontSize);

  color: white;
  background-color: darkslategrey;
  border-radius: 8px;
}
.home-img {
  width: 100%;
  height: 800px;
  position: relative;
}
.btn .icon {
  margin-left: 0.5rem;
}
body {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  padding: 1rem;
}

.VieTripSocial {
  @include themify($themes) {
    background-color: themed("bg");
    color: themed("textColor");
    width: 100vw;
    // height: 95vh;
    // display: flex;
    // align-items: center;
    // justify-content: center;
    // background: #ffffff00;
    // overflow: hidden;
    // border-radius: 1rem;
    // box-shadow: 2px 2px 8px var(--greyText);
  }
}
::-webkit-scrollbar {
  display: none;
}

.btn-back {
  text-decoration: none;
  font-size: 1.6rem;
  background: #f1f1f1;
  width: 100%;
  color: #000;
  padding: 14px;
  margin: 0 2px;
  display: flex;
  align-items: center;
}
